@use 'partials/classes/app';
@use 'partials/classes/table';
@use 'partials/mixins/clearance-table';
@use 'partials/variables/clearance-table' as vars;

.max-table-width {
  max-width: 1400px;
  margin: auto;
}

.no-max-table-width {
  max-width: none;
  padding: 0 0.5rem 1rem;
}


td.mat-column-expandedDetail {
  padding: 0px;
}

.mat-mdc-table .mdc-data-table__row {
  height: 0;
}

// $border-bottom-style: 0px none transparent;
// remove horizontal lines between table rows
th.mdc-data-table__header-cell {
  vertical-align: vars.$vertical-alignment;
  padding-bottom: 8px;
  // border-bottom: vars.$no-border-bottom-style;
}
// remove horizontal lines between table rows
// td.mat-mdc-cell.mdc-data-table__cell {
//   border-bottom: vars.$no-border-bottom-style;
// }
td.mat-mdc-cell.mdc-data-table__cell.mat-column-procedure,
td.mat-mdc-cell.mdc-data-table__cell.mat-column-indication,
td.mat-mdc-cell.mdc-data-table__cell.mat-column-clearance,
td.mat-mdc-cell.mdc-data-table__cell.mat-column-image_type,
td.mat-mdc-cell.mdc-data-table__cell.mat-column-tissue,
td.mat-mdc-cell.mdc-data-table__cell.mat-column-stain,
td.mat-mdc-cell.mdc-data-table__cell.mat-column-analysis,
td.mat-mdc-cell.mdc-data-table__cell.mat.column-scanner {
  vertical-align: baseline;
}

table.vert-ruler td[class*="mat-column-organization_name"],
table.vert-ruler td[class*="mat-column-actions"] {
  border-left: none;
}

.clickable {
  cursor: pointer;
}

$top-bottom-padding: 5px;
.expanded-element-row td {
  border-bottom-width: 0;
  padding-top: $top-bottom-padding;
  padding-bottom: $top-bottom-padding;
}

.min-clearance-table-width {
  min-width: 600px;
}

.table-header-item {
  display: flex;
  flex-flow: row nowrap;
  justify-content: flex-start;
  align-items: center;
}

.org-name-container {
  padding-left: 10px;
}

$max-logo-dimension: 48px;
.logo-container {
  width: $max-logo-dimension;
  height: $max-logo-dimension;
  border-width: 0.5px;
}

.org-logo{
  width: $max-logo-dimension;
  height: $max-logo-dimension;
  object-fit: scale-down;
  border-radius: 50%;
  aspect-ratio: 1/1;
}

.tags-cell-item {
  display: flex;
  flex-flow: column nowrap;
}

.tag-item {
  display: grid;
  grid-template-columns: 45% auto;
  row-gap: 5px;
}

.large-cell {
  width: 25%;
}

.large-cell .tag-item {
  grid-template-columns: 30% auto;
}

.large-cell .tag-item.two-columns {
  grid-template-columns: 14.25% auto;
}

.hidden {
  visibility: hidden;
}

.count-container {
  display: flex;
  align-items: center;
  padding: 10px 0 5px;
}

.flex-horizontal-end {
  justify-content: flex-end;
}

.flex-horizontal-space {
  justify-content: space-between;
}
